{
	"name": "@ezsper/graphql-mockup-mockup",
	"version": "0.0.3",
	"private": true,
	"description": "DX.CO Api Mockup package",
	"license": "UNLICENSED",
	"author": {
		"name": "Ezequiel S. Pereira",
		"email": "ezequiel@ezsper.com",
		"url": "https://ezsper.com"
	},
	"keywords": [],
	"repository": {
		"type": "git",
		"url": "git+https://gitlab.com/ezsper.dev/dxco-madero-api.git"
	},
	"main": "./dist/index.js",
	"module": "./dist/esm/index.js",
	"es2015": "./dist/es2015/index.js",
	"scripts": {
		"build": "rimraf dist && npm run build:es2015 && npm run build:esm && npm run build:cjs",
		"build:cjs": "tsc --project ./tsconfig.cjs.json",
		"build:es2015": "tsc --project ./tsconfig.es2015.json",
		"build:esm": "tsc --project ./tsconfig.esm.json",
		"type-check": "tsc --noEmit",
		"generate": "graphql-codegen",
		"release": "ts-node ./internal/release.ts",
		"pretest": "npm run build",
		"start": "rimraf dist && ts-node-dev ./src/server.ts",
		"develop": "rimraf dist && ts-node-dev ./src/server.ts",
		"test": "jest",
		"lint": "eslint .",
		"lint:fix": "eslint . --ignore-pattern --fix"
	},
	"dependencies": {
		"cors": "^2.8.5",
		"lodash": "^4.17.15",
		"graphql-voyager": "^1.0.0-rc.29",
		"glob": "^7.1.6",
		"@spine/env-vars": "^0.0.2",
		"@type-properties/core": "^0.0.4",
		"apollo-server-express": "^2.9.16",
		"apollo-server-errors": "^2.3.4",
		"sofa-api": "^0.6.1",
		"swagger-ui-express": "^4.1.3",
		"body-parser": "^1.19.0",
		"cookie-parser": "^1.4.4",
		"express": "^4.17.1",
		"express-session": "^1.17.0",
		"graphql-tools": "^4.0.6",
		"jsonwebtoken": "^8.5.1",
		"reflect-metadata": "^0.1.13",
		"shortid": "^2.2.15"
	},
	"devDependencies": {
		"now": "^17.0.4",
		"@types/swagger-ui-express": "^4.1.1",
		"@graphql-codegen/cli": "^1.12.2",
		"@graphql-codegen/typescript": "^1.12.2",
		"@types/lodash": "^4.14.149",
		"@types/cors": "^2.8.6",
		"@types/glob": " ^7.1.1",
		"@types/jsonwebtoken": "^8.3.7",
		"@babel/cli": "^7.7.5",
		"@babel/core": "^7.7.5",
		"@babel/node": "^7.7.4",
		"@babel/plugin-proposal-class-properties": "^7.7.4",
		"@babel/plugin-proposal-decorators": "^7.8.0",
		"@babel/plugin-transform-runtime": "^7.7.6",
		"@babel/preset-env": "^7.7.6",
		"@babel/preset-typescript": "^7.7.4",
		"@types/body-parser": "^1.17.1",
		"@types/cookie-parser": "^1.4.2",
		"@types/express": "^4.17.2",
		"@types/express-session": "^1.15.16",
		"@types/graphql": "^14.5.0",
		"@types/jest": "^24.9.0",
		"@types/node": "^12.12.17",
		"@types/shortid": "^0.0.29",
		"@typescript-eslint/eslint-plugin": "^1.12.0",
		"@typescript-eslint/parser": "^1.12.0",
		"eslint": "^6.0.1",
		"eslint-config-airbnb": "^17.1.1",
		"eslint-config-prettier": "^6.0.0",
		"eslint-plugin-prettier": "^3.1.0",
		"jest": "^24.9.0",
		"prettier": "^1.18.2",
		"rimraf": "^3.0.0",
		"ts-jest": "^25.2.0",
		"ts-node": "^8.6.1",
		"ts-node-dev": "^1.0.0-pre.44",
		"typescript": "^3.7.5"
	}
}
